/*
 * @Author: chris
 * @Date: 2025-09-19 11:37:22
 * @LastEditors: chris
 * @LastEditTime: 2025-09-19 11:37:30
 */
import request from "@/utils/request";

// 查询虫情预警推送人员接收列列表
export function listMember(query) {
  return request({
    url: "/business/member/list",
    method: "get",
    params: query,
  });
}

// 查询虫情预警推送人员接收列详细
export function getMember(id) {
  return request({
    url: "/business/member/" + id,
    method: "get",
  });
}

// 新增虫情预警推送人员接收列
export function addMember(data) {
  return request({
    url: "/business/member",
    method: "post",
    data: data,
  });
}

// 修改虫情预警推送人员接收列
export function updateMember(data) {
  return request({
    url: "/business/member",
    method: "put",
    data: data,
  });
}

// 删除虫情预警推送人员接收列
export function delMember(id) {
  return request({
    url: "/business/member/" + id,
    method: "delete",
  });
}
